<html>
<head>
<title>OGRE: Ogre::Bitwise Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Bitwise.html">Bitwise</a></div>
<h1>Ogre::Bitwise Class Reference</h1><!-- doxytag: class="Ogre::Bitwise" -->Class for manipulating bit patterns.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Bitwise-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static FORCEINLINE <br>
unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#a3fd3a659f416fe2f6e034c42b6a873c">mostSignificantBitSet</a> (unsigned int value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the most significant bit set in a value.  <a href="#a3fd3a659f416fe2f6e034c42b6a873c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static FORCEINLINE <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#f1d86f2723f835a233138259c962a952">firstPO2From</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> n)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the closest power-of-two number greater or equal to value.  <a href="#f1d86f2723f835a233138259c962a952"></a><br></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename T&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static FORCEINLINE bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#b09f72312a62e0e0720e4b039f402654">isPO2</a> (T n)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines whether the number is power-of-two or not.  <a href="#b09f72312a62e0e0720e4b039f402654"></a><br></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename T&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static FORCEINLINE <br>
unsigned int&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#b9e1672bc7f43a5a3467d3e0d0886b62">getBitShift</a> (T mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of bits a pattern must be shifted right by to remove right-hand zeroes.  <a href="#b9e1672bc7f43a5a3467d3e0d0886b62"></a><br></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename SrcT, typename DestT&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static DestT&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#8abbcb20f50105117dc94c6fedf8ace6">convertBitPattern</a> (SrcT srcValue, SrcT srcBitMask, DestT destBitMask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Takes a value with a given src bit mask, and produces another value with a desired bit mask.  <a href="#8abbcb20f50105117dc94c6fedf8ace6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#a59b3726641c31b63aa3e203559ca3bd">fixedToFixed</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> value, unsigned int n, unsigned int p)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert N bit colour channel value to P bits.  <a href="#a59b3726641c31b63aa3e203559ca3bd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#d3f4d30ecc1aa5ea112a38e63a47b9c8">floatToFixed</a> (const float value, const unsigned int bits)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert floating point colour channel value between 0.0 and 1.0 (otherwise clamped) to integer of a certain number of bits.  <a href="#d3f4d30ecc1aa5ea112a38e63a47b9c8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#48006ba79d6f8c690e3131c7b4e441bf">fixedToFloat</a> (unsigned value, unsigned int bits)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Fixed point to float.  <a href="#48006ba79d6f8c690e3131c7b4e441bf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#fa88e9d32bbc468ac3ee803ee4228ca1">intWrite</a> (void *dest, const int n, const unsigned int value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Write a n*8 bits integer value to memory in native endian.  <a href="#fa88e9d32bbc468ac3ee803ee4228ca1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#d0fcaa2e4f445d1e9c1fb69291061dec">intRead</a> (const void *src, int n)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Read a n*8 bits integer value to memory in native endian.  <a href="#d0fcaa2e4f445d1e9c1fb69291061dec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#a02a9c5a117baf2da38ad562c2130681">floatToHalf</a> (float i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a float32 to a float16 (NV_half_float) Courtesy of OpenEXR.  <a href="#a02a9c5a117baf2da38ad562c2130681"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#d98268f6e1288301c0471e345e98cd1e">floatToHalfI</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts float in uint32 format to a a half in uint16 format.  <a href="#d98268f6e1288301c0471e345e98cd1e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#bb3cbaa74865420859ba7b1061f8d3f3">halfToFloat</a> (<a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> y)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a float16 (NV_half_float) to a float32 Courtesy of OpenEXR.  <a href="#bb3cbaa74865420859ba7b1061f8d3f3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html#7ccd62b11c082f76d4972e27896c6028">halfToFloatI</a> (<a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> y)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a half in uint16 format to a float in uint32 format.  <a href="#7ccd62b11c082f76d4972e27896c6028"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for manipulating bit patterns. 
<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00038">38</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a3fd3a659f416fe2f6e034c42b6a873c"></a><!-- doxytag: member="Ogre::Bitwise::mostSignificantBitSet" ref="a3fd3a659f416fe2f6e034c42b6a873c" args="(unsigned int value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FORCEINLINE unsigned int Ogre::Bitwise::mostSignificantBitSet           </td>
          <td>(</td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the most significant bit set in a value. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00042">42</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f1d86f2723f835a233138259c962a952"></a><!-- doxytag: member="Ogre::Bitwise::firstPO2From" ref="f1d86f2723f835a233138259c962a952" args="(uint32 n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FORCEINLINE <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::Bitwise::firstPO2From           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>n</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the closest power-of-two number greater or equal to value. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>0 and 1 are powers of two, so firstPO2From(0)==0 and firstPO2From(1)==1. </dd></dl>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00055">55</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b09f72312a62e0e0720e4b039f402654"></a><!-- doxytag: member="Ogre::Bitwise::isPO2" ref="b09f72312a62e0e0720e4b039f402654" args="(T n)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static FORCEINLINE bool Ogre::Bitwise::isPO2           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>n</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines whether the number is power-of-two or not. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>0 and 1 are tread as power of two. </dd></dl>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00070">70</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b9e1672bc7f43a5a3467d3e0d0886b62"></a><!-- doxytag: member="Ogre::Bitwise::getBitShift" ref="b9e1672bc7f43a5a3467d3e0d0886b62" args="(T mask)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static FORCEINLINE unsigned int Ogre::Bitwise::getBitShift           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of bits a pattern must be shifted right by to remove right-hand zeroes. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00078">78</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBitwise_8h-source.html#l00097">convertBitPattern()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8abbcb20f50105117dc94c6fedf8ace6"></a><!-- doxytag: member="Ogre::Bitwise::convertBitPattern" ref="8abbcb20f50105117dc94c6fedf8ace6" args="(SrcT srcValue, SrcT srcBitMask, DestT destBitMask)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename SrcT, typename DestT&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static DestT Ogre::Bitwise::convertBitPattern           </td>
          <td>(</td>
          <td class="paramtype">SrcT&nbsp;</td>
          <td class="paramname"> <em>srcValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SrcT&nbsp;</td>
          <td class="paramname"> <em>srcBitMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DestT&nbsp;</td>
          <td class="paramname"> <em>destBitMask</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Takes a value with a given src bit mask, and produces another value with a desired bit mask. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This routine is useful for colour conversion. </dd></dl>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00097">97</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>References <a class="el" href="OgreBitwise_8h-source.html#l00078">getBitShift()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a59b3726641c31b63aa3e203559ca3bd"></a><!-- doxytag: member="Ogre::Bitwise::fixedToFixed" ref="a59b3726641c31b63aa3e203559ca3bd" args="(uint32 value, unsigned int n, unsigned int p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int Ogre::Bitwise::fixedToFixed           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>p</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert N bit colour channel value to P bits. 
<p>
It fills P bits with the bit pattern repeated. (this is /((1&lt;&lt;n)-1) in fixed point) 
<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00122">122</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d3f4d30ecc1aa5ea112a38e63a47b9c8"></a><!-- doxytag: member="Ogre::Bitwise::floatToFixed" ref="d3f4d30ecc1aa5ea112a38e63a47b9c8" args="(const float value, const unsigned int bits)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int Ogre::Bitwise::floatToFixed           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&nbsp;</td>
          <td class="paramname"> <em>bits</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert floating point colour channel value between 0.0 and 1.0 (otherwise clamped) to integer of a certain number of bits. 
<p>
Works for any value of bits between 0 and 31. 
<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00146">146</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="48006ba79d6f8c690e3131c7b4e441bf"></a><!-- doxytag: member="Ogre::Bitwise::fixedToFloat" ref="48006ba79d6f8c690e3131c7b4e441bf" args="(unsigned value, unsigned int bits)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static float Ogre::Bitwise::fixedToFloat           </td>
          <td>(</td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>bits</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Fixed point to float. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00156">156</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fa88e9d32bbc468ac3ee803ee4228ca1"></a><!-- doxytag: member="Ogre::Bitwise::intWrite" ref="fa88e9d32bbc468ac3ee803ee4228ca1" args="(void *dest, const int n, const unsigned int value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Bitwise::intWrite           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Write a n*8 bits integer value to memory in native endian. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00164">164</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d0fcaa2e4f445d1e9c1fb69291061dec"></a><!-- doxytag: member="Ogre::Bitwise::intRead" ref="d0fcaa2e4f445d1e9c1fb69291061dec" args="(const void *src, int n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int Ogre::Bitwise::intRead           </td>
          <td>(</td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Read a n*8 bits integer value to memory in native endian. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00192">192</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a02a9c5a117baf2da38ad562c2130681"></a><!-- doxytag: member="Ogre::Bitwise::floatToHalf" ref="a02a9c5a117baf2da38ad562c2130681" args="(float i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> Ogre::Bitwise::floatToHalf           </td>
          <td>(</td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert a float32 to a float16 (NV_half_float) Courtesy of OpenEXR. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00217">217</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>References <a class="el" href="OgreBitwise_8h-source.html#l00225">floatToHalfI()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d98268f6e1288301c0471e345e98cd1e"></a><!-- doxytag: member="Ogre::Bitwise::floatToHalfI" ref="d98268f6e1288301c0471e345e98cd1e" args="(uint32 i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> Ogre::Bitwise::floatToHalfI           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts float in uint32 format to a a half in uint16 format. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00225">225</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBitwise_8h-source.html#l00217">floatToHalf()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bb3cbaa74865420859ba7b1061f8d3f3"></a><!-- doxytag: member="Ogre::Bitwise::halfToFloat" ref="bb3cbaa74865420859ba7b1061f8d3f3" args="(uint16 y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static float Ogre::Bitwise::halfToFloat           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert a float16 (NV_half_float) to a float32 Courtesy of OpenEXR. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00268">268</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>References <a class="el" href="OgreBitwise_8h-source.html#l00277">halfToFloatI()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ccd62b11c082f76d4972e27896c6028"></a><!-- doxytag: member="Ogre::Bitwise::halfToFloatI" ref="7ccd62b11c082f76d4972e27896c6028" args="(uint16 y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::Bitwise::halfToFloatI           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a half in uint16 format to a float in uint32 format. 
<p>

<p>Definition at line <a class="el" href="OgreBitwise_8h-source.html#l00277">277</a> of file <a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBitwise_8h-source.html#l00268">halfToFloat()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBitwise_8h-source.html">OgreBitwise.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:13 2008
</p>
</body>
</html>
